import * as $dara from '@darabonba/typescript';
export declare class DeleteRouteEntryRequestNextHopList extends $dara.Model {
    nextHopId?: string;
    nextHopType?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteRouteEntryRequest extends $dara.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    destinationCidrBlock?: string;
    nextHopId?: string;
    nextHopList?: DeleteRouteEntryRequestNextHopList[];
    ownerAccount?: string;
    ownerId?: number;
    regionId?: string;
    resourceOwnerAccount?: string;
    resourceOwnerId?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    routeTableId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
